<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (11.0.6) on Wed Jan 22 16:23:34 CET 2020 -->
<title>C-Index</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-01-22">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="C-Index";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">J</a>&nbsp;<a href="index-11.html">L</a>&nbsp;<a href="index-12.html">M</a>&nbsp;<a href="index-13.html">N</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">R</a>&nbsp;<a href="index-16.html">S</a>&nbsp;<a href="index-17.html">T</a>&nbsp;<a href="index-18.html">V</a>&nbsp;<a href="index-19.html">W</a>&nbsp;<a href="index-20.html">X</a>&nbsp;<a href="index-21.html">Y</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a><a id="I:C">
<!--   -->
</a>
<h2 class="title">C</h2>
<dl>
<dt><a href="../model/characters/Character.html" title="class in model.characters"><span class="typeNameLink">Character</span></a> - Class in <a href="../model/characters/package-summary.html">model.characters</a></dt>
<dd>
<div class="block">The general character class</div>
</dd>
<dt><span class="memberNameLink"><a href="../model/characters/Character.html#%3Cinit%3E(java.lang.String,int,model.weapons.Weapon,javafx.scene.image.ImageView)">Character(String, int, Weapon, ImageView)</a></span> - Constructor for class model.characters.<a href="../model/characters/Character.html" title="class in model.characters">Character</a></dt>
<dd>
<div class="block">Construct a character</div>
</dd>
<dt><span class="memberNameLink"><a href="../launcher/Game.html#character1">character1</a></span> - Variable in class launcher.<a href="../launcher/Game.html" title="class in launcher">Game</a></dt>
<dd>
<div class="block">Player character 1</div>
</dd>
<dt><span class="memberNameLink"><a href="../launcher/Game.html#character2">character2</a></span> - Variable in class launcher.<a href="../launcher/Game.html" title="class in launcher">Game</a></dt>
<dd>
<div class="block">Player character 2</div>
</dd>
<dt><span class="memberNameLink"><a href="../display/DisplayCharacter.html#characterDisplay(javafx.scene.image.ImageView,double,double,javafx.beans.property.SimpleDoubleProperty,javafx.beans.property.SimpleDoubleProperty,javafx.scene.image.ImageView)">characterDisplay(ImageView, double, double, SimpleDoubleProperty, SimpleDoubleProperty, ImageView)</a></span> - Static method in class display.<a href="../display/DisplayCharacter.html" title="class in display">DisplayCharacter</a></dt>
<dd>
<div class="block">Display a character</div>
</dd>
<dt><span class="memberNameLink"><a href="../launcher/Game.html#characterLoader(java.lang.String,int,java.util.List,javafx.scene.image.ImageView)">characterLoader(String, int, List&lt;Weapon&gt;, ImageView)</a></span> - Method in class launcher.<a href="../launcher/Game.html" title="class in launcher">Game</a></dt>
<dd>
<div class="deprecationBlock"><span class="deprecatedLabel">Deprecated.</span>
<div class="deprecationComment">the list is passed as a parameter of the constructor</div>
</div>
</dd>
<dt><a href="../model/characters/CharacterManager.html" title="class in model.characters"><span class="typeNameLink">CharacterManager</span></a> - Class in <a href="../model/characters/package-summary.html">model.characters</a></dt>
<dd>
<div class="block">Manage the choice of a player character
 Randomly when start a game</div>
</dd>
<dt><span class="memberNameLink"><a href="../model/characters/CharacterManager.html#%3Cinit%3E()">CharacterManager()</a></span> - Constructor for class model.characters.<a href="../model/characters/CharacterManager.html" title="class in model.characters">CharacterManager</a></dt>
<dd>
<div class="block">Constructor of the character manager and save all the characters names in a file</div>
</dd>
<dt><a href="../model/characters/CharacterMover.html" title="class in model.characters"><span class="typeNameLink">CharacterMover</span></a> - Class in <a href="../model/characters/package-summary.html">model.characters</a></dt>
<dd>
<div class="block">Manages a character's movements</div>
</dd>
<dt><span class="memberNameLink"><a href="../model/characters/CharacterMover.html#%3Cinit%3E()">CharacterMover()</a></span> - Constructor for class model.characters.<a href="../model/characters/CharacterMover.html" title="class in model.characters">CharacterMover</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/characters/PlayerCharacter.html#compareTo(model.characters.PlayerCharacter)">compareTo(PlayerCharacter)</a></span> - Method in class model.characters.<a href="../model/characters/PlayerCharacter.html" title="class in model.characters">PlayerCharacter</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../model/contributors/Contributor.html" title="class in model.contributors"><span class="typeNameLink">Contributor</span></a> - Class in <a href="../model/contributors/package-summary.html">model.contributors</a></dt>
<dd>
<div class="block">The contributors class</div>
</dd>
<dt><span class="memberNameLink"><a href="../model/contributors/Contributor.html#%3Cinit%3E(java.lang.String,java.lang.String,java.lang.String)">Contributor(String, String, String)</a></span> - Constructor for class model.contributors.<a href="../model/contributors/Contributor.html" title="class in model.contributors">Contributor</a></dt>
<dd>
<div class="block">Construct a contributor</div>
</dd>
<dt><span class="memberNameLink"><a href="../view/ContributorsCell.html#contributorFirstName">contributorFirstName</a></span> - Variable in class view.<a href="../view/ContributorsCell.html" title="class in view">ContributorsCell</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../view/ContributorsCell.html#contributorGroup">contributorGroup</a></span> - Variable in class view.<a href="../view/ContributorsCell.html" title="class in view">ContributorsCell</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../view/ContributorsCell.html#contributorName">contributorName</a></span> - Variable in class view.<a href="../view/ContributorsCell.html" title="class in view">ContributorsCell</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/contributors/Contributors.html#contributors">contributors</a></span> - Variable in class model.contributors.<a href="../model/contributors/Contributors.html" title="class in model.contributors">Contributors</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../view/ContributorsCell.html#contributors">contributors</a></span> - Variable in class view.<a href="../view/ContributorsCell.html" title="class in view">ContributorsCell</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../model/contributors/Contributors.html" title="class in model.contributors"><span class="typeNameLink">Contributors</span></a> - Class in <a href="../model/contributors/package-summary.html">model.contributors</a></dt>
<dd>
<div class="block">Collection of contributors
 The collections are observable</div>
</dd>
<dt><span class="memberNameLink"><a href="../model/contributors/Contributors.html#%3Cinit%3E()">Contributors()</a></span> - Constructor for class model.contributors.<a href="../model/contributors/Contributors.html" title="class in model.contributors">Contributors</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../view/ContributorsCell.html" title="class in view"><span class="typeNameLink">ContributorsCell</span></a> - Class in <a href="../view/package-summary.html">view</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../view/ContributorsCell.html#%3Cinit%3E()">ContributorsCell()</a></span> - Constructor for class view.<a href="../view/ContributorsCell.html" title="class in view">ContributorsCell</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/contributors/Contributors.html#contributorsObs">contributorsObs</a></span> - Variable in class model.contributors.<a href="../model/contributors/Contributors.html" title="class in model.contributors">Contributors</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/contributors/Contributors.html#contributorsProperty()">contributorsProperty()</a></span> - Method in class model.contributors.<a href="../model/contributors/Contributors.html" title="class in model.contributors">Contributors</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../control/package-summary.html">control</a> - package control</dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../control/GameControl.html#control(javafx.scene.Scene,model.characters.PlayerCharacter,javafx.scene.image.ImageView,javafx.scene.Group,javafx.stage.Stage,javafx.animation.AnimationTimer)">control(Scene, PlayerCharacter, ImageView, Group, Stage, AnimationTimer)</a></span> - Static method in class control.<a href="../control/GameControl.html" title="class in control">GameControl</a></dt>
<dd>
<div class="block">Controls the playable character</div>
</dd>
<dt><span class="memberNameLink"><a href="../model/level/Block.html#coordonateX">coordonateX</a></span> - Variable in class model.level.<a href="../model/level/Block.html" title="class in model.level">Block</a></dt>
<dd>
<div class="block">The X location</div>
</dd>
<dt><span class="memberNameLink"><a href="../model/level/Block.html#coordonateY">coordonateY</a></span> - Variable in class model.level.<a href="../model/level/Block.html" title="class in model.level">Block</a></dt>
<dd>
<div class="block">The Y location</div>
</dd>
<dt><span class="memberNameLink"><a href="../model/weapons/WeaponShoot.html#createShoot(model.characters.Character,javafx.scene.image.ImageView,javafx.scene.Group)">createShoot(Character, ImageView, Group)</a></span> - Static method in class model.weapons.<a href="../model/weapons/WeaponShoot.html" title="class in model.weapons">WeaponShoot</a></dt>
<dd>
<div class="block">create the shoot</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">J</a>&nbsp;<a href="index-11.html">L</a>&nbsp;<a href="index-12.html">M</a>&nbsp;<a href="index-13.html">N</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">R</a>&nbsp;<a href="index-16.html">S</a>&nbsp;<a href="index-17.html">T</a>&nbsp;<a href="index-18.html">V</a>&nbsp;<a href="index-19.html">W</a>&nbsp;<a href="index-20.html">X</a>&nbsp;<a href="index-21.html">Y</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a></div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
